function setFocus(e) {
    var mask = document.getElementById('layer');
    mask.style.visibility = 'hidden';
    window.setTimeout(function() {
        document.getElementById('layer').style.visibility = 'visible';
        if (document.all) {
           mask.focus();
           var clickEvent = document.createEventObject();
           clickEvent.button = 1;  // left click
           mask.fireEvent("onclick", clickEvent);
        } else {
            mask.focus();
            var evt = document.createEvent('MouseEvents');
            evt.initMouseEvent('click', false, true, window, 0, e.screenX, e.screenY, 5, 5, false, false, false, false, 0, mask);
            mask.dispatchEvent(evt);
        }
    }, 800);
}
(function() {

    var style = document.createElement('style');
    style.type = 'text/css';
	style.rel = 'stylesheet';
	var css = "";
        css += "#layer {";
        css += "position:absolute;top:0;left:0;z-index:20001; visibility: hidden;";
        css += "-moz-opacity: 0.1;";
        css += "opacity: .10;";
        css += "filter: alpha(opacity=10);";
        css += "background-color: #fff;";
        css += "width: 98%;";
        css += "height: 98%;";
        css += "zoom: 1;";
        css += "}";


	if (style.styleSheet) {
		style.styleSheet.cssText = css;
	} else {
		var textnode = document.createTextNode(css);
		style.appendChild(textnode);
	}
	document.getElementsByTagName('head')[0].appendChild(style);

    var layer = document.createElement('div');
    layer.setAttribute("id", "layer");
    document.getElementsByTagName('body')[0].appendChild(layer);

    getElementsByClassName('goog-imageless-button-content')[0].style.visibility = 'hidden';
    document.getElementById('docs-bars').style.visibility = 'hidden';

    document.getElementById('docs-notice').style.visibility = 'hidden';
    getElementsByClassName('docs-titlebar-buttons')[0].style.visibility = 'hidden';
    document.getElementById('layer').style.visibility = 'visible';
    
     window.setTimeout(function(){
        var mask = document.getElementById('layer');
        if (document.all) {
            mask.focus();
            var clickEvent = document.createEventObject();
            clickEvent.button = 1;  // left click
            mask.fireEvent("onclick", clickEvent);
        } else {
            mask.focus();
            var evt=document.createEvent('MouseEvents');
            evt.initMouseEvent('click',false,true,window,0,0,0,5,5,false,false,false,false,0,mask);
            mask.dispatchEvent(evt);
        }
    }, 1500);

    if (window.addEventListener) {
        //DOMMouseScroll is for mozilla.
        window.addEventListener('DOMMouseScroll', function(e){
            setFocus(e);
        }, false);
    } else {
        // IE/Opera.
        window.onmousewheel = document.onmousewheel = function(e){
            setFocus(e);
        };
    }

})();


function getElementsByClassName(className, tag, elm) {

    var testClass = new RegExp("(^|\\s)" + className + "(\\s|$)");
    var tag = tag || "*";
    var elm = elm || document;
    var elements = (tag == "*" && elm.all) ? elm.all : elm.getElementsByTagName(tag);
    var returnElements = [];
    var current;
    var length = elements.length;

    for (var i = 0; i < length; i++) {
        current = elements[i];
        if (testClass.test(current.className)) {
            returnElements.push(current);
        }
    }

    return returnElements;

}





