package com.espirit.core.samples.dataaccessplugin.soap;

import com.espirit.moddev.components.annotations.PublicComponent;
import de.espirit.firstspirit.access.BaseContext;
import de.espirit.firstspirit.agency.Image;
import de.espirit.firstspirit.client.plugin.dataaccess.DataAccessPlugin;
import de.espirit.firstspirit.client.plugin.dataaccess.DataAccessSessionBuilder;
import de.espirit.firstspirit.client.plugin.dataaccess.aspects.DataAccessAspectType;

import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;


@PublicComponent(name = "SOAPDataAccessPlugin", displayName = "Data Access Plugin")
public class SOAPDataAccessPlugin implements DataAccessPlugin<SOAPObject> {

	@Nullable
	@Override
	public <A> A getAspect(@NotNull final DataAccessAspectType<A> type) {
		return null;
	}


	@NotNull
	@Override
	public String getLabel() {
		return "SOAP Data Access Plugin (FirstSpirit Sample)";
	}


	@Nullable
	@Override
	public Image<?> getIcon() {
		return null;
	}


	@NotNull
	@Override
	public DataAccessSessionBuilder<SOAPObject> createSessionBuilder() {
		return new SOAPDataAccessSessionBuilder();
	}


	@Override
	public void setUp(@NotNull final BaseContext context) {
	}


	@Override
	public void tearDown() {
	}
}
